Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface PredictionTranscript

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public interface PredictionTranscript
extends Feature

Transcript consisting of PredictionExons.

See Also:
  `PredictionExon`

Method Summary
`Analysis` | `getAnalysis()` Analysis which created this prediction.
`int` | `getExonCount()` Analysis which created this prediction.
`java.util.List` | `getExons()` List of PredictionExons.
`void` | `setAnalysis(Analysis analysis)` Analysis which created this prediction.
`void` | `setExonCount(int exonCount)` Number of exons.
`void` | `setExons(java.util.List exons)`
`java.lang.String` | `translate()` Translate the prediction transcript

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysisID, getDescription, getDisplayName, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getExons

    public java.util.List getExons()

  List of PredictionExons.

### setExons

    public void setExons(java.util.List exons)

### getExonCount

    public int getExonCount()

  Analysis which created this prediction.

### setExonCount

    public void setExonCount(int exonCount)

  Number of exons.

### getAnalysis

    public Analysis getAnalysis()

  Analysis which created this prediction.

  Specified by:
    `getAnalysis` in interface `Feature`

### setAnalysis

    public void setAnalysis(Analysis analysis)

  Analysis which created this prediction.

  Specified by:
    `setAnalysis` in interface `Feature`
  Parameters:
    `analysis` - analysis that created this feature.

### translate

    public java.lang.String translate()

  Translate the prediction transcript

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD